CAT 监控部署错误 错误如下

y000n520 发布于 2016/05/12 18:46
阅读 1K+
收藏 0
CAT

 org.apache.catalina.core.ApplicationContext log
java.lang.NoClassDefFoundError: org/unidal/helper/Joiners$IBuilder
at com.dianping.cat.servlet.CatFilter$CatHandler.<clinit>(CatFilter.java:123)
at com.dianping.cat.servlet.CatFilter.init(CatFilter.java:73)
at org.apache.catalina.core.ApplicationFilterConfig.getFilter(ApplicationFilterConfig.java:295)
at org.apache.catalina.core.ApplicationFilterConfig.setFilterDef(ApplicationFilterConfig.java:422)
at org.apache.catalina.core.ApplicationFilterConfig.<init>(ApplicationFilterConfig.java:115)
at org.apache.catalina.core.StandardContext.filterStart(StandardContext.java:4072)
at org.apache.catalina.core.StandardContext.start(StandardContext.java:4726)
at org.apache.catalina.core.ContainerBase.addChildInternal(ContainerBase.java:799)
at org.apache.catalina.core.ContainerBase.addChild(ContainerBase.java:779)
at org.apache.catalina.core.StandardHost.addChild(StandardHost.java:601)

加载中
0
xpbob
xpbob
缺少jar包,NoClassDefFoundError如果是JDK的基本是版本错误,如果是其他的,基本就是JAR包缺失
0
陈鹏烨
陈鹏烨

请用jdk 1.7_79以下的jdk版本编译。打包

例如:jdk 1.7.67 

>wget --no-check-certificate --no-cookies --header "Cookie: oraclelicense=accept-securebackup-cookie" http://download.oracle.com/otn-pub/java/jdk/7u67-b01/jdk-7u67-linux-x64.tar.gz
	

陈鹏烨
陈鹏烨
回复 @y000n520 : cat 不支持1.7.79以上的jdk,以下的可以支持
y000n520
y000n520
为什么要jdk1.7以下啊
返回顶部
顶部